/*
 Theme Name:   divi-enfant pour Justine Darmon
 Theme URI:    http://digipicture.com
 Description:  A Child Theme built for Divi
 Author:       Christophe GLAUDEL
 Author URI:   http://digipicture.com
 Template:     Divi
 Version:      1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/

/*
Theme Name: Theme pour Justine
Template: Divi
@import url(../Divi/style.css);
*/

/* ------------------------------------------------ */
/* - Divi menu PRIMARY color a        83c1fb      - */ 
/* - Divi menu PRIMAIRE couleur a  ou 83c1fb      - */ 
/* ------------------------------------------------
#main-header #top-menu li.current-menu-item > a {
color: #6cb6fb !important;
} */


/*
** MENU MOBILE : en pleine largeur et le hamburger devient une croix pour fermer
** MOBILE MENU : FullWidth & hamburger becomes cross to close
*/
.et_mobile_menu {
	margin-left: -30px;
	padding: 5%;
	width: calc( 100% + 60px);
}

.mobile_nav.opened .mobile_menu_bar:before {
	content: "\4d";
}

/* 
** CENTRER DU CONTENU VERTICALEMENT 
** CENTER CONTENT VERTICALLY 
** see tuto : https://www.divi-community.fr/snippets-divi/centrer-du-contenu-verticalement
*/
.dc-centrer-verticalement {
	display: flex;
	flex-direction: column;
	justify-content: center;
  	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	 -moz-box-orient: vertical;
	 -moz-box-direction: normal;
	  -ms-flex-direction: column;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	-moz-box-pack: center;
	-ms-flex-pack: center;
}

/* ---------------------------------------------- */
/* - autre logo 2 lignes sur mobile & tablettes - */
/* - custom logo 2 lines on mobile & tablets    - */
/* ---------------------------------------------- */
@media only screen and (max-width: 981px) {
  /* Changes mobile logo to specified image */
  #logo {
    content: url("https://jdarmonphotographies.com/wp-content/uploads/2020/09/logo-196x43p-justine-darmon.png");
  }
}

/* ------------------------------------------------ */
/* - Custom SLIDESHOW fullwitdh IN HOME  		- */
/* - SLIDESHOW PLEIN ECRAN EN HOME     			- */
/* - css custo mon-slider-home     				- */ 
/* ------------------------------------------------*/
@media only screen and ( min-width:866px ) {
    
    .mon-slider-home, .mon-slider-home .et_pb_container { 
        height: 750px !important; 
    }
    .mon-slider-home, .mon-slider-home .et_pb_slide { 
        max-height: 750px; 
    }
    .mon-slider-home .et_pb_slide_description { 
        position: relative; 
        top: 25%; 
        padding-top: 0 !important; 
        padding-bottom:0 !important; 
        height:auto !important; 
    }
}
/* -------------------------------------------------- */
/* - Custom SLIDESHOW fullwitdh IN PROJECTS 		- */
/* - SLIDESHOW PLEIN ECRAN EN projet     			- */
/* - css perso mon-slider-projet     500	    	- */ 
/* ---------------------------------------------------*/
/* -     Manually Set Slider Height 		    	 */
/* -------------------------------------------------- */
@media only screen and ( min-width:866px ) {
/*These values stay the same.  Just modify the height to suit your needs.*/
.mon-slider-projet, .mon-slider-projet .et_pb_container {
height: 500px !important;
}
/*.et_pb_slide becomes .et_pb_slides. Note the plural.*/
.mon-slider-projet, .mon-slider-projet .et_pb_slides .et_pb_bg_layout_dark {
max-height: 500px !important;
}
.mon-slider-projet .et_pb_slide_description .et_pb_slides .et_pb_bg_layout_dark {
position: relative;
top: 25%;
padding-top: 0 !important;
padding-bottom:0 !important;
height:auto !important;
}
/*Add basic responsive coding to .et_pb_active_slide, which controls what happens to the image.*/
.et_pb_active_slide {
width: 100%;
height: auto;
}
}

@media only screen and ( max-width:865px ) {
.mon-slider-projet, .mon-slider-projet .et_pb_container {
height: 475px !important;
}
.mon-slider-projet, .mon-slider-projet .et_pb_slides .et_pb_bg_layout_dark {
max-height: 475px !important;
}
.mon-slider-projet .et_pb_slide_description .et_pb_slides .et_pb_bg_layout_dark {
position: relative;
top: 25%;
padding-top: 0 !important;
padding-bottom:0 !important;
height:auto !important;
}
.et_pb_active_slide {
width:100%;
height: auto;
}
}

@media only screen and ( max-width:565px ) {
.mon-slider-projet, .mon-slider-projet .et_pb_container {
height: 325px !important;
}
.mon-slider-projet, .mon-slider-projet .et_pb_slides .et_pb_bg_layout_dark {
max-height: 325px !important;
}
.mon-slider-projet .et_pb_slide_description .et_pb_bg_layout_dark .et_pb_slides {
position: relative;
top: 25%;
padding-top: 0 !important;
padding-bottom:0 !important;
height:auto !important;
}

.et_pb_active_slide {
width:100%;
height: auto;
}
} 

/* ----------------------------------------------- */
/* - SLIDESHOW PLEIN ECRAN partout		 300     - */ 
/* - SLIDESHOW Full Width everywhere in	 300     - */ 
/* ------------------------------------------------*/
/* 
.et_pb_slider, .et_pb_slider .et_pb_container {
height: 300px !important;
}
.et_pb_slider, .et_pb_slider .et_pb_slide {
max-height: 300px;
}
*/
/* ------------------------------------------------ */
/*---  alignement speciaux sur slider -            -*/
/*---  custom alignement on slider -               -*/
/* ------------------------------------------------ */
.ds-slider-right.et_pb_slider .et_pb_container {
    float: right !important; /*move the slider text container to the right*/
}
.ds-slider-right .et_pb_slide_description  {
	text-align: right !important; /*align the slider text to the right*/
	padding: 35% 8% !important; /*adjust the padding around the slider text container, this will also help you to control the 
	height of your slides. You can remove this if you want the default height*/
}
.ds-slider-right.et_pb_slider .et_pb_button {
    float: right !important; /*move the button to the right*/
}
/*---alignement gauche sur slider -Left---*/
.ds-slider-left.et_pb_slider .et_pb_container {
    float: left !important; /*move the slider text container to the left*/
}
.ds-slider-left .et_pb_slide_description  {
	text-align: left !important; /*align the slider text to the left*/
	padding: 35% 8%; /*adjust the padding around the slider text container, this will help you to control the 
	height of your slides. You can remove this if you want the default height*/
}
.ds-slider-left.et_pb_slider .et_pb_button {
    float: left !important;  /*move the button to the left*/
}
/*-- alignement centre sur slider -Center---*/
.ds-slider-center .et_pb_slide_description  {
	padding: 35% 8% !important; /*adjust the padding around the slider text container, this will also help you to control the 
	height of your slides. You can remove this if you want the default height*/
	
}

/* -------------------------------------------- */
/*-    Style WP-PageNavi Pagination            -*/
/* -------------------------------------------- */
/* Center the pagination */
.wp-pagenavi { text-align:center; }
/* Add a border */
.wp-pagenavi span, .wp-pagenavi a, .wp-pagenavi :last-child { 
    border: 1px solid #bbb !important; 
    padding: 6px 12px; 
    margin: 0;  
}
.wp-pagenavi span, .wp-pagenavi a { border-right: none !important; }
/* Style the default text */
.wp-pagenavi span, .wp-pagenavi a { 
    font-weight: bold !important; 
    color: #999 !important
}
/* Style the current / hovered page link */
.wp-pagenavi span.current,
.wp-pagenavi a:hover { 
    color: #666 !important; 
    background-color: #ddd !important; 
}
/* Style the page count text */
.wp-pagenavi :first-child { color: #666 !important; }
/* Add text to the "next" link */
.wp-pagenavi .nextpostslink:before { content: 'Next '; }
.wp-pagenavi .previouspostslink:after { content: ' Prev'; }